Widget configuration
const url = 'https://example.kwickbooking.com/public/v1/venues/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/widget-config';const options = {method: 'GET', headers: {'X-KB-Publishable-Key': '<X-KB-Publishable-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.kwickbooking.com/public/v1/venues/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/widget-config \ --header 'X-KB-Publishable-Key: <X-KB-Publishable-Key>'The venue’s logo, colours, wording and enabled booking flows for the booking widget.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Responses
Section titled “Responses”OK
The venue’s widget theme, wording and enabled booking flows.
object
object
object
Example
{ "venueId": "01920000-0000-7000-8000-000000000001", "logoUrl": null, "palette": { "primary": "#2572FB" }, "copy": {}, "enabledFlows": [ "booking", "enquiry" ]}Invalid or missing integration key (https://developers.kwickblocks.ai/problems/invalid-key)
RFC 9457 problem details. type is a URI with a page describing the problem.
object
Safe to read to a guest.
A machine-readable code on the widget’s routes.
Examples
Invalid or missing integration key
{ "type": "https://developers.kwickblocks.ai/problems/invalid-key", "title": "Invalid or missing integration key", "status": 401, "detail": "This integration key isn't valid. Ask the venue's admin for a new one."}RFC 9457 problem details. type is a URI with a page describing the problem.
object
Safe to read to a guest.
A machine-readable code on the widget’s routes.
Examples
Not found
{ "type": "https://developers.kwickblocks.ai/problems/not-found", "title": "Not found", "status": 404, "detail": "I couldn't find that."}Too many requests (https://developers.kwickblocks.ai/problems/rate-limited)
RFC 9457 problem details. type is a URI with a page describing the problem.
object
Safe to read to a guest.
A machine-readable code on the widget’s routes.
Examples
Too many requests
{ "type": "https://developers.kwickblocks.ai/problems/rate-limited", "title": "Too many requests", "status": 429, "detail": "There have been too many requests. Please try again in a minute."}